module github.com/jobs-scraper/services/scraper-google

go 1.24.0

require (
	github.com/PuerkitoBio/goquery v1.10.3
	github.com/chromedp/cdproto v0.0.0-20250803210736-d308e07a266d
	github.com/chromedp/chromedp v0.14.2
	github.com/jobs-scraper/internal/pkg/infrastructure v0.0.0
	github.com/joho/godotenv v1.5.1
	github.com/levmv/sked v0.2.1
)

require (
	github.com/andybalholm/cascadia v1.3.3 // indirect
	github.com/chromedp/sysutil v1.1.0 // indirect
	github.com/go-json-experiment/json v0.0.0-20250725192818-e39067aee2d2 // indirect
	github.com/gobwas/httphead v0.1.0 // indirect
	github.com/gobwas/pool v0.2.1 // indirect
	github.com/gobwas/ws v1.4.0 // indirect
	github.com/golang-migrate/migrate/v4 v4.19.0 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/lib/pq v1.10.9 // indirect
	golang.org/x/net v0.44.0 // indirect
	golang.org/x/sys v0.36.0 // indirect
)

replace github.com/jobs-scraper/internal/pkg/infrastructure => ../../internal/pkg/infrastructure
